<?php
/**
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file LICENSE for license information (BSD). If you did not
 * receive this file, see http://cvs.horde.org/co.php/vilma/LICENSE.
 *
 * $Horde: vilma/test.php,v 1.5 2005/01/03 14:35:41 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.5 $
 * @package Vilma
 */

require_once './lib/version.php';
@define('CONFIG_DIR', dirname(__FILE__) . '/config/');

$setup_ok = true;

$config_files = array('conf.php', 'prefs.php', 'templates/fields.html', 'templates/forms.html', 'templates/main.html');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<html>
<head>
<title>Vilma: System Capabilities Test</title>
<style type="text/css">
<!--
body { font-family: Geneva,Arial,Helvetica,sans-serif; font-size: 10pt; }
td { font-family: Geneva,Arial,Helvetica,sans-serif; font-size: 10pt; }
h1 { font-size: 12pt; color: black; font-family: Verdana,Geneva,Arial,Helvetica,sans-serif; }
a { text-decoration: none; font-family: Arial, Helvetica, sans-serif; font-size: 12px; margin-top: 0; margin-left: 0; }
a:active { color: #2457ff; }
a:hover { color: #2457ff; text-decoration: underline; }
a:link { color: #2457ff; }
a:visited { color: #2457ff; }
-->
</style>
</head>

<body bgcolor="#ffffff" text="#000000">

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
  <td>
    <h1>Vilma Version</h1>
    <ul>
      <li>Vilma: <?php echo VILMA_VERSION ?></li>
    </ul>
  </td>
</tr><tr>
  <td>
    <h1>Vilma Configuration Files</h1>
    <ul>
    <?php foreach ($config_files as $file): ?>
    <?php if (file_exists(CONFIG_DIR . $file)): ?>
      <li><?php echo $file ?> - <font color="green"><b>Yes</b></font>
    <?php else : $setup_ok = false; ?>
      <li><?php echo $file ?> - <font color="red"><b>No</b></font>
    <?php endif; endforeach; ?>
    </ul>
  </td>
</tr>
</table>

</body></html>
